d3.csv('iris.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  

var trace1 = {
	x:unpack(rows, 'SepalLength'), y: unpack(rows, 'SepalWidth'), z: unpack(rows, 'PetalLength'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

// var trace2 = {
// 	x:unpack(rows, 'PetalLength'), y: unpack(rows, 'PetalWidth'), z: unpack(rows, 'SepalLength'),
// 	mode: 'markers',
// 	marker: {
// 		color: 'rgb(127, 127, 127)',
// 		size: 12,
// 		symbol: 'circle',
// 		line: {
// 		color: 'rgb(204, 204, 204)',
// 		width: 1},
// 		opacity: 0.8},
// 	type: 'scatter3d'};

var data = [trace1];
var layout = {margin: {
	l: 2,
	r: 2,
	b: 25,
	t: 25
  }};
Plotly.newPlot('myDiv', data, layout);
});